import { modifier } from "ember-modifier";

export default modifier((element, [callback]) => {
  function animate(timestamp) {
    callback(timestamp);

    window.requestAnimationFrame(animate);
  }

  const animation = window.requestAnimationFrame(animate);

  return () => {
    window.cancelAnimationFrame(animation)
  };
});