import { modifier } from "ember-modifier";

export default modifier((element, [targetElement, eventName, callback]) => {
  function onEvent(event) {
    callback(event);
  }
  
  targetElement.addEventListener(eventName, onEvent);

  return () => {
    targetElement.removeEventListener(eventName, onEvent);
  };
});